Skip to main content
PUT
/
v2
/
app-resources
/
batch
Batch Update App Resources
curl --request PUT \
  --url https://public.api.serval.com/v2/app-resources/batch \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "resources": [
    {
      "id": "<string>",
      "resourceType": "<string>",
      "name": "<string>",
      "description": "<string>",
      "externalId": "<string>"
    }
  ]
}
'
{
  "data": [
    {
      "id": "<string>",
      "appInstanceId": "<string>",
      "resourceType": "<string>",
      "name": "<string>",
      "description": "<string>",
      "externalId": "<string>"
    }
  ]
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Body

application/json
resources
UpdateAppResourceInput · object[]

The resources to update.

Response

Success

data
Resource · object[]

The updated resources.